org.eclipse.viatra.dse.statecoding

## Enum StatecodingNodeType

- java.lang.Object
- - java.lang.Enum<StatecodingNodeType>
  - - org.eclipse.viatra.dse.statecoding.StatecodingNodeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StatecodingNodeType>

      public enum StatecodingNodeType
      extends java.lang.Enum<StatecodingNodeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE_AND_DELETE`
    `FIXED`
    `ONLY_CREATE`
    `ONLY_DELETE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatecodingNodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StatecodingNodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIXED

          public static final StatecodingNodeType FIXED

    - #### ONLY_CREATE

          public static final StatecodingNodeType ONLY_CREATE

    - #### ONLY_DELETE

          public static final StatecodingNodeType ONLY_DELETE

    - #### CREATE_AND_DELETE

          public static final StatecodingNodeType CREATE_AND_DELETE

  - ### Method Detail

    - #### values

          public static StatecodingNodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatecodingNodeType c : StatecodingNodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatecodingNodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null